Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.policy
Class ProfilePriorityEntrySeqHelper

    java.lang.Object
      |
      +--org.openorb.policy.ProfilePriorityEntrySeqHelper

public class ProfilePriorityEntrySeqHelper
extends java.lang.Object

Helper class for : ProfilePriorityEntrySeq

Author:
  OpenORB Compiler

Constructor Summary
`ProfilePriorityEntrySeqHelper()`

Method Summary
`static ProfilePriorityEntry[]` | `extract(Any a)` Extract ProfilePriorityEntrySeq from an any
`static java.lang.String` | `id()` Return the ProfilePriorityEntrySeq IDL ID
`static void` | `insert(Any a, ProfilePriorityEntry[] t)` Insert ProfilePriorityEntrySeq into an any
`static ProfilePriorityEntry[]` | `read(InputStream istream)` Read ProfilePriorityEntrySeq from a marshalled stream
`static TypeCode` | `type()` Return the ProfilePriorityEntrySeq TypeCode
`static void` | `write(OutputStream ostream, ProfilePriorityEntry[] value)` Write ProfilePriorityEntrySeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfilePriorityEntrySeqHelper

    public ProfilePriorityEntrySeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ProfilePriorityEntry[] t)

  Insert ProfilePriorityEntrySeq into an any
  Parameters:
    `a` - an any
    `t` - ProfilePriorityEntrySeq value

### extract

    public static ProfilePriorityEntry[] extract(Any a)

  Extract ProfilePriorityEntrySeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ProfilePriorityEntrySeq value

### type

    public static TypeCode type()

  Return the ProfilePriorityEntrySeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ProfilePriorityEntrySeq IDL ID
  Returns:
    an ID

### read

    public static ProfilePriorityEntry[] read(InputStream istream)

  Read ProfilePriorityEntrySeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ProfilePriorityEntrySeq value

### write

    public static void write(OutputStream ostream,
                             ProfilePriorityEntry[] value)

  Write ProfilePriorityEntrySeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ProfilePriorityEntrySeq value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD